> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Get Execution Profiles

GET https://host.com/apis/jobs/v2/execution-profiles

Get all currently configured execution profiles.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/jobs/get-execution-profiles-apis-jobs-v-2-execution-profiles-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/jobs/v2/execution-profiles:
    get:
      operationId: get-execution-profiles-apis-jobs-v-2-execution-profiles-get
      summary: Get Execution Profiles
      description: Get all currently configured execution profiles.
      tags:
        - subpackage_jobs
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/ApisJobsV2ExecutionProfilesGetResponsesContentApplicationJsonSchemaItems
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    DockerVolumeMountKind:
      type: string
      enum:
        - volume
        - tmpfs
      default: volume
      description: >-
        Type of the Docker volume to mount. Options are 'volume' or 'tmpfs'
        (default: 'volume'). tmpfs volumes are only supported on Linux hosts.
      title: DockerVolumeMountKind
    DockerVolumeMount:
      type: object
      properties:
        volume_name:
          type: string
          description: Name of the Docker volume to mount
        mount_path:
          type: string
          description: Path inside the container where the volume will be mounted
        kind:
          $ref: '#/components/schemas/DockerVolumeMountKind'
          default: volume
          description: >-
            Type of the Docker volume to mount. Options are 'volume' or 'tmpfs'
            (default: 'volume'). tmpfs volumes are only supported on Linux
            hosts.
        options:
          type: object
          additionalProperties:
            description: Any type
          description: Additional options for the volume
        allow_create_volume:
          type: boolean
          default: false
          description: >-
            Whether to allow the creation of the volume if it does not exist
            (default: false).
      required:
        - volume_name
        - mount_path
      title: DockerVolumeMount
    DockerJobStorageConfig:
      type: object
      properties:
        volume_name:
          type: string
          default: nemo-jobs-storage
          description: Name of the Docker volume for persistent storage
        volume_permissions_image:
          type: string
          default: busybox
          description: Docker image used to set permissions on the volume
        additional_volume_mounts:
          type: array
          items:
            $ref: '#/components/schemas/DockerVolumeMount'
          description: List of additional Docker volume mounts for the job
      description: Configuration for persistent storage in Docker jobs.
      title: DockerJobStorageConfig
    DockerJobNetworkConfig:
      type: object
      properties:
        job_container_network:
          type: string
          default: host
          description: Docker network for the job container
      title: DockerJobNetworkConfig
    DockerJobExecutionProfileConfig:
      type: object
      properties:
        ttl_seconds_before_active:
          type: integer
          default: 1800
        ttl_seconds_active:
          type: integer
          default: 86400
        ttl_seconds_after_finished:
          type: integer
          default: 3600
        cleanup_completed_jobs_immediately:
          type: boolean
          default: true
        launcher_tool_path:
          type: string
          default: /tools/jobs-launcher
          description: Path to the jobs launcher tool
        default_task_image:
          type: string
          description: >-
            Default container image for job task pods. Used when a job step
            omits container.image. When unset, falls back to the platform CPU
            tasks image
            (platform.image_registry/nmp-cpu-tasks:platform.image_tag).
        env:
          type: object
          additionalProperties:
            type: string
          description: >-
            Optional env vars applied to all jobs (e.g. HOME=/tmp). Keys must
            not conflict with platform-reserved names. Job steps may override
            these variables.
        storage:
          $ref: '#/components/schemas/DockerJobStorageConfig'
          description: Docker storage configuration
        networking:
          $ref: '#/components/schemas/DockerJobNetworkConfig'
          description: Docker networking configuration
      description: Configuration for Docker Job execution profile.
      title: DockerJobExecutionProfileConfig
    DockerJobExecutionProfile:
      type: object
      properties:
        provider:
          type: string
          default: cpu
          description: The compute provider for the executor, e.g., cpu, gpu
        profile:
          type: string
          default: default
          description: >-
            The profile name for the executor, e.g., high_priority_a100,
            low_priority, etc.
        backend:
          type: string
          enum:
            - docker
          default: docker
        config:
          $ref: '#/components/schemas/DockerJobExecutionProfileConfig'
          description: Additional configuration for the docker executor
      required:
        - config
      description: >-
        Execution configuration for a Docker Job.

        This is used to define the executor type, provider, profile, and any
        additional configuration

        required for the executor to run the job on Docker
      title: DockerJobExecutionProfile
    ComputeResourceSpec:
      type: object
      properties:
        cpu:
          type: string
          description: CPU specification (e.g., '250m', '1', '2.5').
        memory:
          type: string
          description: Memory specification (e.g., '128Mi', '1Gi', '512M').
      description: Resource specification.
      title: ComputeResourceSpec
    ComputeResources:
      type: object
      properties:
        requests:
          $ref: '#/components/schemas/ComputeResourceSpec'
          description: Minimum resources requested for the container.
        limits:
          $ref: '#/components/schemas/ComputeResourceSpec'
          description: Maximum resources the container can use.
        num_nodes:
          type: integer
          default: 1
          description: Number of nodes to use.
        num_gpus:
          type: integer
          description: Step requesting number of GPUs.
        shm_size:
          type: string
          description: >-
            Shared memory (/dev/shm) size as a Kubernetes quantity (e.g. '1Gi',
            '4Gi'). Used for GPU and distributed-GPU job executors. When unset,
            defaults to 1Gi per allocated GPU.
      description: Resource requirements matching k8s ResourceRequirements format.
      title: ComputeResources
    ImagePullSecret:
      type: object
      properties:
        name:
          type: string
          description: Kubernetes Secret name for pulling images
      required:
        - name
      description: Kubernetes image pull secret reference.
      title: ImagePullSecret
    KubernetesObjectMetadata:
      type: object
      properties:
        labels:
          type: object
          additionalProperties:
            type: string
        annotations:
          type: object
          additionalProperties:
            type: string
      title: KubernetesObjectMetadata
    KubernetesPersistentVolumeClaim:
      type: object
      properties:
        claim_name:
          type: string
          description: Persistent Volume Claim Name
        read_only:
          type: boolean
          default: false
          description: Whether the volume is mounted read-only
      required:
        - claim_name
      description: Kubernetes Persistent Volume Claim definition.
      title: KubernetesPersistentVolumeClaim
    KubernetesEmptyDirVolume:
      type: object
      properties:
        medium:
          type: string
          description: The medium of the emptyDir volume (e.g., 'Memory')
        size_limit:
          type: string
          description: The size limit of the emptyDir volume (e.g., '1Gi')
      description: Kubernetes EmptyDir Volume definition.
      title: KubernetesEmptyDirVolume
    KubernetesVolume:
      type: object
      properties:
        name:
          type: string
          description: Volume Name
        persistent_volume_claim:
          $ref: '#/components/schemas/KubernetesPersistentVolumeClaim'
          description: Persistent Volume Claim configuration
        empty_dir:
          $ref: '#/components/schemas/KubernetesEmptyDirVolume'
          description: EmptyDir Volume configuration
      required:
        - name
      description: Kubernetes Volume definition.
      title: KubernetesVolume
    KubernetesVolumeMount:
      type: object
      properties:
        name:
          type: string
          description: Volume Name
        mount_path:
          type: string
          description: Mount Path in the container
        sub_path:
          type: string
          description: Sub-path within the volume to mount
        read_only:
          type: boolean
          default: false
          description: Whether the volume mount is read-only
      required:
        - name
        - mount_path
      description: Kubernetes Volume Mount definition.
      title: KubernetesVolumeMount
    KubernetesJobStorageConfig:
      type: object
      properties:
        pvc_name:
          type: string
          default: ''
          description: Persistent Volume Claim Name to use for job storage.
        volume_permissions_image:
          type: string
          default: busybox
          description: Image used to set volume permissions
        additional_volumes:
          type: array
          items:
            $ref: '#/components/schemas/KubernetesVolume'
          description: Additional volumes to mount
        additional_volume_mounts:
          type: array
          items:
            $ref: '#/components/schemas/KubernetesVolumeMount'
          description: Additional volume mounts
      description: Configuration for persistent storage in Kubernetes jobs.
      title: KubernetesJobStorageConfig
    KubernetesJobExecutionProfileConfig:
      type: object
      properties:
        ttl_seconds_before_active:
          type: integer
          default: 1800
        ttl_seconds_active:
          type: integer
          default: 86400
        ttl_seconds_after_finished:
          type: integer
          default: 3600
        cleanup_completed_jobs_immediately:
          type: boolean
          default: true
        launcher_tool_path:
          type: string
          default: /tools/jobs-launcher
          description: Path to the jobs launcher tool
        default_task_image:
          type: string
          description: >-
            Default container image for job task pods. Used when a job step
            omits container.image. When unset, falls back to the platform CPU
            tasks image
            (platform.image_registry/nmp-cpu-tasks:platform.image_tag).
        env:
          type: object
          additionalProperties:
            type: string
          description: >-
            Optional env vars applied to all jobs (e.g. HOME=/tmp). Keys must
            not conflict with platform-reserved names. Job steps may override
            these variables.
        namespace:
          type: string
          description: >-
            Kubernetes namespace to submit the job to. If not set, it will be
            determined from the environment.
        service_account_name:
          type: string
          default: default
          description: >-
            Kubernetes service account name for job pods. Uses the Kubernetes
            default service account when set to 'default'.
        tolerations:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
          description: Tolerations for the Kubernetes job pods.
        node_selector:
          type: object
          additionalProperties:
            type: string
          description: Node selector for the Kubernetes job pods.
        affinity:
          type: object
          additionalProperties:
            description: Any type
          description: Affinity for the Kubernetes job pods.
        resources:
          $ref: '#/components/schemas/ComputeResources'
          description: Resource requests and limits for the Kubernetes job pods.
        pod_security_context:
          type: object
          additionalProperties:
            description: Any type
          description: Pod security context for the Kubernetes job pods.
        image_pull_secrets:
          type: array
          items:
            $ref: '#/components/schemas/ImagePullSecret'
          description: Image pull secrets for the Kubernetes job pods.
        job_metadata:
          $ref: '#/components/schemas/KubernetesObjectMetadata'
          description: Metadata to add to each job object in the Kubernetes job.
        pod_metadata:
          $ref: '#/components/schemas/KubernetesObjectMetadata'
          description: Metadata to add to each pod in the Kubernetes job.
        storage:
          $ref: '#/components/schemas/KubernetesJobStorageConfig'
          description: Storage configuration for the Kubernetes job pods.
        num_gpus:
          type: integer
          default: 1
          description: Number of GPUs to request for the job
        scheduler_name:
          type: string
          default: ''
          description: >-
            The scheduler name to use for the pod spec. When non-empty, this
            value is applied to the pod's schedulerName field, enabling custom
            schedulers such as KAI Scheduler. Empty string omits schedulerName
            so the cluster default scheduler is used.
        launcher_image:
          type: string
          default: nvcr.io/nvidia/nemo-microservices/jobs-launcher:latest
          description: Container image that contains the jobs-launcher binary.
      description: Configuration for Kubernetes execution environment.
      title: KubernetesJobExecutionProfileConfig
    KubernetesJobExecutionProfile:
      type: object
      properties:
        provider:
          type: string
          default: cpu
          description: The compute provider for the executor, e.g., cpu, gpu
        profile:
          type: string
          default: default
          description: >-
            The profile name for the executor, e.g., high_priority_a100,
            low_priority, etc.
        backend:
          type: string
          enum:
            - kubernetes_job
          default: kubernetes_job
        config:
          $ref: '#/components/schemas/KubernetesJobExecutionProfileConfig'
          description: Additional configuration for the kubernetes executor
      required:
        - config
      description: >-
        Execution configuration for a Kubernetes Job.

        This is used to define the executor type, provider, profile, and any
        additional configuration

        required for the executor to run the job on Kubernetes
      title: KubernetesJobExecutionProfile
    VolcanoJobExecutionProfileConfig:
      type: object
      properties:
        ttl_seconds_before_active:
          type: integer
          default: 1800
        ttl_seconds_active:
          type: integer
          default: 86400
        ttl_seconds_after_finished:
          type: integer
          default: 3600
        cleanup_completed_jobs_immediately:
          type: boolean
          default: true
        launcher_tool_path:
          type: string
          default: /tools/jobs-launcher
          description: Path to the jobs launcher tool
        default_task_image:
          type: string
          description: >-
            Default container image for job task pods. Used when a job step
            omits container.image. When unset, falls back to the platform CPU
            tasks image
            (platform.image_registry/nmp-cpu-tasks:platform.image_tag).
        env:
          type: object
          additionalProperties:
            type: string
          description: >-
            Optional env vars applied to all jobs (e.g. HOME=/tmp). Keys must
            not conflict with platform-reserved names. Job steps may override
            these variables.
        namespace:
          type: string
          description: >-
            Kubernetes namespace to submit the job to. If not set, it will be
            determined from the environment.
        service_account_name:
          type: string
          default: default
          description: >-
            Kubernetes service account name for job pods. Uses the Kubernetes
            default service account when set to 'default'.
        tolerations:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
          description: Tolerations for the Kubernetes job pods.
        node_selector:
          type: object
          additionalProperties:
            type: string
          description: Node selector for the Kubernetes job pods.
        affinity:
          type: object
          additionalProperties:
            description: Any type
          description: Affinity for the Kubernetes job pods.
        resources:
          $ref: '#/components/schemas/ComputeResources'
          description: Resource requests and limits for the Kubernetes job pods.
        pod_security_context:
          type: object
          additionalProperties:
            description: Any type
          description: Pod security context for the Kubernetes job pods.
        image_pull_secrets:
          type: array
          items:
            $ref: '#/components/schemas/ImagePullSecret'
          description: Image pull secrets for the Kubernetes job pods.
        job_metadata:
          $ref: '#/components/schemas/KubernetesObjectMetadata'
          description: Metadata to add to each job object in the Kubernetes job.
        pod_metadata:
          $ref: '#/components/schemas/KubernetesObjectMetadata'
          description: Metadata to add to each pod in the Kubernetes job.
        storage:
          $ref: '#/components/schemas/KubernetesJobStorageConfig'
          description: Storage configuration for the Kubernetes job pods.
        num_gpus:
          type: integer
          default: 1
          description: Number of GPUs to request for the job
        scheduler_name:
          type: string
          default: volcano
          description: The scheduler name to use for the Volcano job.
        launcher_image:
          type: string
          default: nvcr.io/nvidia/nemo-microservices/jobs-launcher:latest
          description: Container image that contains the jobs-launcher binary.
        queue:
          type: string
          default: default
          description: The Volcano queue to submit the job to.
        max_retry:
          type: integer
          default: 0
          description: maxRetry indicates the maximum number of retries allowed by the job
        plugins:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            plugins indicates the plugins used by Volcano when the job is
            scheduled. We always add the pytorch plugin if more than one node.
        enable_multi_node_networking:
          type: boolean
          default: true
          description: >-
            Enable multi-node networking injection. Sets annotations to trigger
            Kyverno policy mutations.
      description: Configuration for Volcano Job Execution Profile
      title: VolcanoJobExecutionProfileConfig
    VolcanoJobExecutionProfile:
      type: object
      properties:
        provider:
          type: string
          default: cpu
          description: The compute provider for the executor, e.g., cpu, gpu
        profile:
          type: string
          default: default
          description: >-
            The profile name for the executor, e.g., high_priority_a100,
            low_priority, etc.
        backend:
          type: string
          enum:
            - volcano_job
          default: volcano_job
        config:
          $ref: '#/components/schemas/VolcanoJobExecutionProfileConfig'
          description: Additional configuration for the kubernetes executor
      required:
        - config
      description: Volcano Job Execution Profile
      title: VolcanoJobExecutionProfile
    SubprocessJobExecutionProfileConfig:
      type: object
      properties:
        ttl_seconds_before_active:
          type: integer
          default: 1800
        ttl_seconds_active:
          type: integer
          default: 86400
        ttl_seconds_after_finished:
          type: integer
          default: 3600
        cleanup_completed_jobs_immediately:
          type: boolean
          default: false
          description: >-
            Keep subprocess working directories by default so runs remain
            inspectable.
        launcher_tool_path:
          type: string
          default: /tools/jobs-launcher
          description: Path to the jobs launcher tool
        default_task_image:
          type: string
          description: >-
            Default container image for job task pods. Used when a job step
            omits container.image. When unset, falls back to the platform CPU
            tasks image
            (platform.image_registry/nmp-cpu-tasks:platform.image_tag).
        env:
          type: object
          additionalProperties:
            type: string
          description: >-
            Optional env vars applied to all jobs (e.g. HOME=/tmp). Keys must
            not conflict with platform-reserved names. Job steps may override
            these variables.
        working_directory:
          type: string
          default: /tmp/nmp-subprocess-jobs
          description: Root directory for subprocess job state, config, storage, and logs.
        graceful_shutdown_timeout_seconds:
          type: integer
          default: 10
          description: >-
            How long to wait after SIGTERM before force killing the process
            group.
      title: SubprocessJobExecutionProfileConfig
    SubprocessJobExecutionProfile:
      type: object
      properties:
        provider:
          type: string
          enum:
            - subprocess
          default: subprocess
        profile:
          type: string
          default: default
          description: >-
            The profile name for the executor, e.g., high_priority_a100,
            low_priority, etc.
        backend:
          type: string
          enum:
            - subprocess
          default: subprocess
        config:
          $ref: '#/components/schemas/SubprocessJobExecutionProfileConfig'
          description: Additional configuration for the subprocess executor
      title: SubprocessJobExecutionProfile
    JobExecutionProfileConfig:
      type: object
      properties:
        ttl_seconds_before_active:
          type: integer
          default: 1800
        ttl_seconds_active:
          type: integer
          default: 86400
        ttl_seconds_after_finished:
          type: integer
          default: 3600
        cleanup_completed_jobs_immediately:
          type: boolean
          default: true
        launcher_tool_path:
          type: string
          default: /tools/jobs-launcher
          description: Path to the jobs launcher tool
        default_task_image:
          type: string
          description: >-
            Default container image for job task pods. Used when a job step
            omits container.image. When unset, falls back to the platform CPU
            tasks image
            (platform.image_registry/nmp-cpu-tasks:platform.image_tag).
        env:
          type: object
          additionalProperties:
            type: string
          description: >-
            Optional env vars applied to all jobs (e.g. HOME=/tmp). Keys must
            not conflict with platform-reserved names. Job steps may override
            these variables.
      title: JobExecutionProfileConfig
    E2EJobExecutionProfile:
      type: object
      properties:
        provider:
          type: string
          default: cpu
          description: The compute provider for the executor, e.g., cpu, gpu
        profile:
          type: string
          default: default
          description: >-
            The profile name for the executor, e.g., high_priority_a100,
            low_priority, etc.
        backend:
          type: string
          enum:
            - e2e
          default: e2e
        config:
          $ref: '#/components/schemas/JobExecutionProfileConfig'
          description: Configuration for the e2e test executor
      description: |-
        Execution configuration for E2E testing.
        This backend auto-completes jobs without actually running containers,
        making tests fast and deterministic.
      title: E2EJobExecutionProfile
    ApisJobsV2ExecutionProfilesGetResponsesContentApplicationJsonSchemaItems:
      oneOf:
        - $ref: '#/components/schemas/DockerJobExecutionProfile'
        - $ref: '#/components/schemas/KubernetesJobExecutionProfile'
        - $ref: '#/components/schemas/VolcanoJobExecutionProfile'
        - $ref: '#/components/schemas/SubprocessJobExecutionProfile'
        - $ref: '#/components/schemas/E2EJobExecutionProfile'
      title: ApisJobsV2ExecutionProfilesGetResponsesContentApplicationJsonSchemaItems

```

## Examples



**Response**

```json
[
  {
    "provider": "cpu",
    "profile": "default",
    "backend": "docker",
    "config": {
      "ttl_seconds_before_active": 1800,
      "ttl_seconds_active": 86400,
      "ttl_seconds_after_finished": 3600,
      "cleanup_completed_jobs_immediately": true,
      "launcher_tool_path": "/tools/jobs-launcher",
      "default_task_image": "string",
      "env": {},
      "storage": {
        "volume_name": "nemo-jobs-storage",
        "volume_permissions_image": "busybox",
        "additional_volume_mounts": [
          {
            "volume_name": "string",
            "mount_path": "string",
            "kind": "volume",
            "options": {},
            "allow_create_volume": false
          }
        ]
      },
      "networking": {
        "job_container_network": "host"
      }
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/jobs/v2/execution-profiles"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/jobs/v2/execution-profiles';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/jobs/v2/execution-profiles"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/jobs/v2/execution-profiles")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/apis/jobs/v2/execution-profiles")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/apis/jobs/v2/execution-profiles');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/jobs/v2/execution-profiles");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/jobs/v2/execution-profiles")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```